# Uses of Interface
org.astrogrid.samp.xmlrpc.SampXmlRpcHandler

Packages that use SampXmlRpcHandler
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.
org.astrogrid.samp.xmlrpc.apache
Implementation of pluggable XML-RPC layer using Apache XML-RPC.
org.astrogrid.samp.xmlrpc.internal
Implementation of pluggable XML-RPC layer which requires no external dependencies.

## Uses of SampXmlRpcHandler in org.astrogrid.samp.web

Classes in org.astrogrid.samp.web that implement SampXmlRpcHandler
Modifier and Type
Class
Description
`class`
`WebHubXmlRpcHandler`
SampXmlRpcHandler implementation which passes Web Profile-type XML-RPC calls to a hub connection factory to provide a Web Profile hub server.

## Uses of SampXmlRpcHandler in org.astrogrid.samp.xmlrpc

Classes in org.astrogrid.samp.xmlrpc that implement SampXmlRpcHandler
Modifier and Type
Class
Description
`class`
`ActorHandler`
Utility class to facilitate constructing a SampXmlRpcHandler which handles particular named methods.
Methods in org.astrogrid.samp.xmlrpc with parameters of type SampXmlRpcHandler
Modifier and Type
Method
Description
`void`
SampXmlRpcServer.`addHandler(SampXmlRpcHandler handler)`
Adds a handler which can service certain XML-RPC methods.
`void`
SampXmlRpcServer.`removeHandler(SampXmlRpcHandler handler)`
Removes a previously-added handler.

## Uses of SampXmlRpcHandler in org.astrogrid.samp.xmlrpc.apache

Methods in org.astrogrid.samp.xmlrpc.apache with parameters of type SampXmlRpcHandler
Modifier and Type
Method
Description
`void`
ApacheServer.`addHandler(SampXmlRpcHandler handler)`
`void`
ApacheServer.`removeHandler(SampXmlRpcHandler handler)`

## Uses of SampXmlRpcHandler in org.astrogrid.samp.xmlrpc.internal

Methods in org.astrogrid.samp.xmlrpc.internal with parameters of type SampXmlRpcHandler
Modifier and Type
Method
Description
`void`
InternalServer.`addHandler(SampXmlRpcHandler handler)`
`protected Object`
InternalServer.`handleCall(SampXmlRpcHandler handler, String methodName, List paramList, HttpServer.Request request)`
Actually passes the XML-RPC method name and parameter list to one of the registered servers for processing.
`protected Object`
RpcLoggingInternalServer.`handleCall(SampXmlRpcHandler handler, String methodName, List paramList, HttpServer.Request request)`
`void`
InternalServer.`removeHandler(SampXmlRpcHandler handler)`